User Tools

Site Tools


informatique:os:debian

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
informatique:os:debian [2018/10/23 11:58]
pteu [Utiliser un proxy avec apt]
informatique:os:debian [2019/07/12 10:43] (current)
pteu [Valider un changement de version]
Line 282: Line 282:
  
 Pour connaitre la version de Debian qui est installée sur la machine : Pour connaitre la version de Debian qui est installée sur la machine :
-  ​cat /​etc/​debian_version +<code bash> 
-   ​5.0.2+cat /​etc/​debian_version 
 +5.0.2 
 +</​code>​
  
-Dans cet exemple cela correspond à la version ​lenny (v.5), la version Debian stable en ce moment.+Dans cet exemple cela correspond à la version ​Lenny (v.5), la version Debian stable en ce <del>moment</​del>​temps-là.
  
 Pour connaitre la version du noyau installée : Pour connaitre la version du noyau installée :
-  ​uname -a +<code bash> 
-   ​Linux ymir 2.6.26-2-686 #1 SMP Sun Jun 21 04:57:38 UTC 2009 i686 GNU/Linux +uname -a 
-ou/et+ Linux ymir 2.6.26-2-686 #1 SMP Sun Jun 21 04:57:38 UTC 2009 i686 GNU/Linux 
 +ou/et 
 +cat /​proc/​version 
 + Linux version 2.6.26-2-686 (Debian 2.6.26-17) (dannf@debian.org) \ 
 + (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Sun Jun 21 04:57:38 UTC 2009 
 +</​code>​
  
-  cat /proc/version +====Valider un changement de version====
-   Linux version 2.6.26-2-686 (Debian 2.6.26-17) (dannf@debian.org) \ +
-   (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Sun Jun 21 04:57:38 UTC 2009+
  
 +Pour changer de version, si ce n'est pas fait automatiquement (comme avec ''​apt dist-upgrade''​),​ il faut valider la nouvelle version des paquets dans ''​apt''​. Pour cela :
 +<code bash>
 +apt-get --allow-releaseinfo-change update
 +</​code>​
 +
 +Dans mon cas, mes sources étaient configurées en "​stretch"​ et lorsque celle-ci est passée en stable, je les ai modifiées pour pointer sur "​stable",​ mais cela à générer les erreurs :
 +<code bash>
 +N: Le dépôt « http://​debian.mirrors.ovh.net/​debian stable InRelease » a modifié sa valeur « Version » de « 9.9 » à « 10.0 »
 +E: Le dépôt « http://​debian.mirrors.ovh.net/​debian stable InRelease » a modifié sa valeur « Codename » de « stretch » à « buster »
 +N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. \
 +   ​Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
 +</​code>​
 ====Installer Debian depuis une clé USB==== ====Installer Debian depuis une clé USB====
  
informatique/os/debian.txt · Last modified: 2019/07/12 10:43 by pteu